Bug 970972 - Review Request: cuisine - Chef-like functionnality for Fabric
Review Request: cuisine - Chef-like functionnality for Fabric
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Athmane Madjoudj
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2013-06-05 07:13 EDT by Nils Ratusznik
Modified: 2016-08-17 09:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
athmanem: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Nils Ratusznik 2013-06-05 07:13:36 EDT
Spec URL: http://medias.anotherhomepage.org/rpms/cuisine.spec
SRPM URL: http://medias.anotherhomepage.org/rpms/cuisine-0.6.4-1.fc18.src.rpm
Description: Cuisine is a small set of functions that sit on top of Fabric,
to abstract common administration operations such as file/dir
operations, user/group creation, package install/upgrade, making
it easier to write portable administration and deployment scripts.

Fedora Account System Username: ahpnils

Hi, I just finished packaging up cuisine, and I would appreciate a review so it can be added to Fedora. It might be good to know that I am not an official Fedora Packager, I just created my accounts.
Comment 1 Nils Ratusznik 2013-06-05 07:34:48 EDT
I forgot to add that this is my first package, and I am seeking a sponsor.
Comment 2 François Cami 2013-06-05 08:07:19 EDT
I'll review this.
Comment 3 Miroslav Suchý 2015-07-21 09:59:21 EDT
François can you finish you review, or reassing it back to nobody so somebody else can pick it up?
Nils, are you still interrested in this package?
Comment 4 Nils Ratusznik 2015-07-21 14:04:18 EDT
Hi,

I'm still interrested.
I noticed version 0.7.10 is out, here are the updated files :

Spec URL : http://medias.anotherhomepage.org/rpms/cuisine/0.7.10/cuisine.spec
SRPM URL : http://medias.anotherhomepage.org/rpms/cuisine/0.7.10/cuisine-0.7.10-1.fc21.src.rpm
Comment 5 Athmane Madjoudj 2016-08-08 18:05:53 EDT
Before doing full review, please consider the following points (You still need a sponsor, sadly I'm not):

1) You dont need "%{__rm} -fr %{buildroot}%{python_sitelib}/paramiko" , since the tarball does not bundle paramiko

2) You need to switch to python2 macros since Fabric is python2-only (Fabric2 will support py3 but that it built on top of Invoke/Paramiko)

3) You should run the test suite in %check section

4) if you are not planning to support EL5, you could remove "%defattr(-,root,root,-)"

5) You must include a license file (using %license macro), already included in the tarball => LICENSE

6) Not a blocker: after quick look into the source code, i did not see any dnf support in package_* operations, which could make this package unusable in Fedora if yum script (dnf wrapper) is removed from base distro.
Comment 6 Nils Ratusznik 2016-08-17 05:25:04 EDT
I'm facing some difficulties for 3 and 5 : the only available tarbal is from pypi, and it does not include the LICENSE file nor the tests directory.

Otherwise, I should be able to address the other points, and open an issue on upstream's Github for 6.
Comment 7 Igor Gnatenko 2016-08-17 09:47:20 EDT
(In reply to Nils Ratusznik from comment #6)
> I'm facing some difficulties for 3 and 5 : the only available tarbal is from
> pypi, and it does not include the LICENSE file nor the tests directory.
just take archive from github.

Note You need to log in before you can comment on or make changes to this bug.